%define upstream_name    App-Pod2CpanHtml
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Convert Pod to search.cpan.org style HTML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Simple)
BuildArch: noarch

%description
This module is used for converting Pod documents to the
http://search.cpan.org/ manpage style HTML.

Pod is Perl's _Plain Old Documentation_ format, see the perlpod manpage.

'App::Pod2CpanHtml' produces HTML output similar to search.cpan.org by
using the same conversion module, the Pod::Simple::HTML manpage and the
same CSS, the http://search.cpan.org/s/style.css manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/pod2cpanhtml
/usr/share/man/man1/pod2cpanhtml.1.xz



%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.40.0-2.mga6
+ Revision: 1022551
- Rebuild for perl 5.22.2

* Fri Dec 18 2015 shlomif <shlomif> 0.40.0-1.mga6
+ Revision: 911751
- imported package perl-App-Pod2CpanHtml


* Fri Dec 18 2015 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
